export const dashboardReducers: import("reduce-reducers").Reducer<{
    dashboardId: import("@metabase/embedding-sdk-react/dist/frontend/src/metabase-types/api").DashboardId | null;
    editingDashboard: import("@metabase/embedding-sdk-react/dist/frontend/src/metabase-types/api").Dashboard | null;
    loadingControls: import("@metabase/embedding-sdk-react/dist/frontend/src/metabase-types/store").DashboardLoadingControls;
    dashboards: Record<import("@metabase/embedding-sdk-react/dist/frontend/src/metabase-types/api").DashboardId, import("@metabase/embedding-sdk-react/dist/frontend/src/metabase-types/store").StoreDashboard>;
    dashcards: Record<number, import("@metabase/embedding-sdk-react/dist/frontend/src/metabase-types/store").StoreDashcard>;
    dashcardData: import("@metabase/embedding-sdk-react/dist/frontend/src/metabase-types/api").DashCardDataMap;
    slowCards: Record<number, boolean>;
    parameterValues: Record<string, import("@metabase/embedding-sdk-react/dist/frontend/src/metabase-types/api").ParameterValueOrArray>;
    draftParameterValues: {};
    loadingDashCards: import("@metabase/embedding-sdk-react/dist/frontend/src/metabase-types/store").DashboardCardsLoadingState;
    isAddParameterPopoverOpen: boolean;
    isNavigatingBackToDashboard: boolean;
    sidebar: {
        props: {};
    };
    missingActionParameters: unknown;
    autoApplyFilters: {
        toastId: number | null;
        toastDashboardId: number | null;
    };
    selectedTabId: import("@metabase/embedding-sdk-react/dist/frontend/src/metabase-types/store").SelectedTabId;
    tabDeletions: Record<number, import("@metabase/embedding-sdk-react/dist/frontend/src/metabase-types/store").TabDeletion>;
    theme: "light" | "night" | "transparent";
}>;
